summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luís Fernando Carvalho Cavalheiro2016-12-02 14:17:40 +0100
committer Willy Sudiarto Raharjo2016-12-03 01:17:45 +0100
commit52e67c59ce6e3e20be7d3163e30111783ae815da (patch)
treef040948bac59353574cf8a4e3a7e9b0594ce76bd
parent35ad64cf9243e2ae4fb1e44b07ac4b7ffab67146 (diff)
downloadslackbuilds-52e67c59ce6e3e20be7d3163e30111783ae815da.tar.gz
multimedia/pragha: Added (music player).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--multimedia/pragha/README30
-rw-r--r--multimedia/pragha/pragha.SlackBuild102
-rw-r--r--multimedia/pragha/pragha.info10
-rw-r--r--multimedia/pragha/slack-desc19
4 files changed, 161 insertions, 0 deletions
diff --git a/multimedia/pragha/README b/multimedia/pragha/README
new file mode 100644
index 0000000000..14133313e1
--- /dev/null
+++ b/multimedia/pragha/README
@@ -0,0 +1,30 @@
+Pragha is a Lightweight Music Player for GNU/Linux, based on Gtk and sqlite.
+It is completely written in C, constructed to be fast, light, and
+simultaneously tries to be complete without obstructing the daily work. ;)
+
+Main features:
+
+ * Full integration with GTK+3, but always completely independent of
+ gnome or xfce.
+ * Two panel design inspired by Amarok 1.4. Library and current playlist.
+ * Library with multiple views, according to tags or folder structure.
+ * Search, filter and queue songs on current playlist.
+ * Play and edit tags of mp3, m4a, ogg, flac, asf, wma, and ape files.
+ Limited only by codecs installed and taglib version used.
+ * Playlist management: Export M3U and read M3U, PLS, XSPF and WAX
+ playlists.
+ * Playback control with command line.
+
+Optional packages available on https://slackbuilds.org, they are auto
+detected by the script:
+
+ * totem-pl-parser
+ * jmtpfs
+ * mtpfs
+ * gmtp
+
+Optional dependencies that aren't on https://slackbuilds.org
+
+ * rygel-server >= 2.2
+ * grilo >= 0.2
+ * libclastfm
diff --git a/multimedia/pragha/pragha.SlackBuild b/multimedia/pragha/pragha.SlackBuild
new file mode 100644
index 0000000000..7f6d14f6f1
--- /dev/null
+++ b/multimedia/pragha/pragha.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for pragha
+# Copyright 2016 Luís Fernando Carvalho Cavalheiro
+# <pessoal@profcavalheiro.com>, Rio de Janeiro, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=${PRGNAM:-pragha}
+VERSION=${VERSION:-1.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ] ; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING FAQ INSTALL NEWS README ChangeLog"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/pragha/pragha.info b/multimedia/pragha/pragha.info
new file mode 100644
index 0000000000..2222395d95
--- /dev/null
+++ b/multimedia/pragha/pragha.info
@@ -0,0 +1,10 @@
+PRGNAM="pragha"
+VERSION="1.3.3"
+HOMEPAGE="http://pragha-music-player.github.io/"
+DOWNLOAD="https://github.com/pragha-music-player/pragha/releases/download/v1.3.3/pragha-1.3.3.tar.bz2"
+MD5SUM="eac512bcb42b000f5622e6abd867f5b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gst0-plugins-bad gst0-plugins-ugly gst-plugins-bad gst-plugins-ugly gst0-python gst-python gst-libav libpeas"
+MAINTAINER="Luís Fernando Carvalho Cavalheiro"
+EMAIL="pessoal@profcavalheiro.com"
diff --git a/multimedia/pragha/slack-desc b/multimedia/pragha/slack-desc
new file mode 100644
index 0000000000..60376922bd
--- /dev/null
+++ b/multimedia/pragha/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pragha: Pragha Music Player
+pragha:
+pragha: Pragha is a Lightweight Music Player for GNU/Linux,
+pragha: based on Gtk, sqlite, and completely written in C,
+pragha: constructed to be fast, light, and simultaneously
+pragha: tries to be complete without obstructing the daily
+pragha: work. ;)
+pragha:
+pragha:
+pragha:
+pragha: